var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-78DE92E0-35DB-4563-BA91-1A22DC3A374A\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Subdivision</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-78DE92E0-35DB-4563-BA91-1A22DC3A374A\"></a><div class=\"head\">\n\
            <h1>Subdivision</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-727C\"></a> Each subdivision level (<span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"SubdivisionLevel\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_subdivision_level.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">SubdivisionLevel</a></span>) is a mesh that represents the same surface with different approximation. Subdivision\n\
            levels are child nodes of a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Geometry\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_geometry.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Geometry</a></span> object. An object can have multiple levels and exactly one is active at a time. Each\n\
            subdivision level is a normal mesh, stored as a relative difference to the previous\n\
            level. When a level is modified, the upper level vertices will have the positions\n\
            calculated from the modified one plus the relative differences from the previous modifications\n\
            of the upper level. Until the level is modified the difference is (0,0,0) in all vertices.\n\
            When a level becomes active these relative positions are transformed into absolute\n\
            ones so that brushes can work on the level as a regular mesh. When deactivating a\n\
            level the details are transferred to the new active level and positions are changed\n\
            back to relative. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-727B\"></a> Subdivision produces M*N faces from an N-faces mesh where faces have M corners. It\n\
            uses the Catmull-Clark scheme for creating and smoothing the higher level vertices.\n\
            \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-727A\"></a> Each level is connected with the upper and lower one. If a polygon is taken from\n\
            one level, it has 4 corresponding polygons in the next level, and one in the previous\n\
            level. This correspondence is based on an identifier called the global ID. On level\n\
            0 the global ID is equivalent to the face ID in the beginning. If a face has global\n\
            ID of N, on the next level the corresponding faces has the global ID of N*4+k, k=[0..3].\n\
            On the previous level its pair is the one with the [N/4] global ID. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7279\"></a> It is possible to create the UV coordinates for a higher level of subdivision if\n\
            the original level has any. The new UVs can be unsmoothed, smoothed or CC-smoothed.\n\
            Smoothing means the vertices from the original level will have the original UVs while\n\
            the inner ones will have the averaged value of the neighbors. If UVs are not intended\n\
            to be created during subdivision, they can be recreated at any time later. \n\
         </p>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";