var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-87B90A2A-0593-428A-995F-6F77449CA810\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Picking</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-87B90A2A-0593-428A-995F-6F77449CA810\"></a><div class=\"head\">\n\
            <h1>Picking</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-725B\"></a> Picking is the calculation of the intersection of a line and a mesh. Mudbox uses\n\
            different solutions in the following cases: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-725A\"></a><ul>\n\
            <li> Screen space picking - This solution is used when one end point of the line is the\n\
               same as the camera position in the space. A buffer with the same size as the viewport\n\
               is used in this case. The scene is rendered to this buffer each time the camera position\n\
               or a mesh changes. The vertex/face index is encoded into the final pixel colour. When\n\
               the user points to a location on the screen Mudbox reads the color of the pixel at\n\
               the position and decodes the needed information. This makes screen space picking very\n\
               fast once the buffer is rendered. During sculpting the picking must operate on the\n\
               original unchanged mesh, so the buffer has to be re-rendered only when the stroke\n\
               is finished. When a plane mirror is used the mirrored line does not fulfill the condition\n\
               mentioned above, but in that case a cloned camera is used for the other side and the\n\
               buffer is rendered for that camera too. \n\
            </li>\n\
            <li> Static mesh picking - In this case the start and end point of the mesh can be any\n\
               3D point in the space but the mesh must be static as this method requires a slow preprocessing\n\
               pass of the mesh. In this case a balanced sphere based tree representing the mesh\n\
               is created to enable fast checking. This solution is used during map extraction because\n\
               a lot of picking is required and the mesh is static. \n\
            </li>\n\
         </ul>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7257\"></a> \n\
            <h2><a name=\"GUID-A0BB9978-5880-40C8-A7E5-B48D2FB94668\"></a>Selection and Picking Classes\n\
            </h2> \n\
            <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7256\"></a> These classes are primarily used for selecting points on a mesh, or objects in a\n\
               scene. The <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Picker\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_picker.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Picker</a></span> class can be used for defining plug-ins that customize how objects are selected on\n\
               a vector. \n\
            </p> <a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7255\"></a><ul>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Picker\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_picker.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Picker</a></span> - These objects are used as part of the map extraction process. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ScreenSpacePicker\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_screen_space_picker.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ScreenSpacePicker</a></span> - These objects are used to translate the user action of clicking in the view into\n\
                  a picked. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Selector\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_selector.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Selector</a></span> - This base class represents any shape in 3d space. Used for selection. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"SurfacePoint\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/structmudbox_1_1_surface_point.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">SurfacePoint</a></span> - Describes a location somewhere on the surface of a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Mesh\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Mesh</a></span>. \n\
               </li>\n\
            </ul> \n\
         </div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";